Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ClassAccessControlList

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_AccessControlList
                          oracle.ifs.server.S_TieAccessControlList
                              oracle.ifs.server.S_ClassAccessControlList

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieClassAccessControlList

    public class S_ClassAccessControlList

extends S_TieAccessControlList

A S_ClassAccessControlList models a ClassAccessControlList.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CLASS_NAME, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_ClassAccessControlList(S_LibrarySession session, java.lang.Long classId)` Construct a S_ClassAccessControlList object.
`protected` | `S_ClassAccessControlList(S_LibrarySession session, S_LibraryObjectData data)` Construct a S_ClassAccessControlList object.

Method Summary
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Add to the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for creating this object; in this case, set the is_shared attr to true and add the uniquename attribute to the system list.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary operations before an update.
`protected void` | `verifyCanAddAces()` Verifies that ACEs can be added to the instance.
`protected void` | `verifyCanCreate(S_LibraryObjectDefinition def)` Verify that instances can be created.
`protected void` | `verifyCanFree()` Verifies that the instance can be freed.
`protected void` | `verifyCanLock()` Verifies that the instance can be locked or unlocked.
`protected void` | `verifyCanRemoveAces()` Verifies that ACEs can be removed from the instance.
`protected void` | `verifyCanUpdate()` Verifies that the instance can be updated.

Methods inherited from class oracle.ifs.server.S_AccessControlList
`addACE, addACE, constructAccessControlListArray, DYNRemoveAcesForFreedGrantees, DYNUpdateOwnerBypassUniquenessCheck, enforceNameUniquenessByOwner, extendedPostFree, extendedPostInsert, extendedPostUpdate, getAccessControlEntryIds, getAccessControlEntrys, getAccessLevel, getAccessLevel, getComponentAcls, getCompositeAclIds, getCompositeAcls, getCompositeAcls, getGrantedAccessLevel, getGrantedAccessLevel, hasDiscoverAccess, invalidateResolution, invalidateState, isAccessLevelEnabled, isComposite, isShared, isStandardPermissionEnabled, removeACE, removeAllACE, selectCompositeAclIds, updateACE, updateAclDiscovererTable, verifyAccessLevelEnabled, verifyCanModifyAces, verifyStandardPermissionEnabled`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, canUseContentQuota, cascadeCopy, cascadeDelete, cascadeFree, cascadeUndelete, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, determineResolvedObject, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostUndelete, extendedPreCopy, extendedPreDelete, extendedPreFree, extendedPreUndelete, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getDefaultAclFromUserProfile, getFamily, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, getVersionDescriptions, handleCascade, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postSecurityChangeAuditEvent, postUndelete, preDelete, preUndelete, propagateFreeIfNoFolderReferences, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, putProperty, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invokeOperation, invokePolicyMethod, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_ClassAccessControlList

    protected S_ClassAccessControlList(S_LibrarySession session,
                                       S_LibraryObjectData data)
                                throws IfsException

  Construct a S_ClassAccessControlList object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_ClassAccessControlList

    protected S_ClassAccessControlList(S_LibrarySession session,
                                       java.lang.Long classId)
                                throws IfsException

  Construct a S_ClassAccessControlList object. This variant is used for objects that have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
    `classId` - id of classobject being created
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_ClassAccessControlList`
  Add to the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_AccessControlList`
  Parameters:
    `def` - the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_ClassAccessControlList`
  Update any system attributes appropriate for creating this object; in this case, set the is_shared attr to true and add the uniquename attribute to the system list.

  Overrides:
    `extendedPreInsert` in class `S_AccessControlList`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_ClassAccessControlList`
  Performs the necessary operations before an update.

  Overrides:
    `extendedPreUpdate` in class `S_AccessControlList`
  Parameters:
    `opState` - current state of the operation
    `def` - current object definition to be updated
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### verifyCanAddAces

    protected void verifyCanAddAces()
                             throws IfsException

  Description copied from class: `S_ClassAccessControlList`
  Verifies that ACEs can be added to the instance. The override here ensures admin mode.

  Overrides:
    `verifyCanAddAces` in class `S_AccessControlList`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanRemoveAces

    protected void verifyCanRemoveAces()
                                throws IfsException

  Description copied from class: `S_ClassAccessControlList`
  Verifies that ACEs can be removed from the instance. The override here ensures admin mode.

  Overrides:
    `verifyCanRemoveAces` in class `S_AccessControlList`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanCreate

    protected void verifyCanCreate(S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_ClassAccessControlList`
  Verify that instances can be created.

  Overrides:
    `verifyCanCreate` in class `S_PublicObject`
  Parameters:
    `def` - current object definition
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanFree

    protected void verifyCanFree()
                          throws IfsException

  Description copied from class: `S_ClassAccessControlList`
  Verifies that the instance can be freed.

  Overrides:
    `verifyCanFree` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanUpdate

    protected void verifyCanUpdate()
                            throws IfsException

  Description copied from class: `S_ClassAccessControlList`
  Verifies that the instance can be updated.

  Overrides:
    `verifyCanUpdate` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanLock

    protected void verifyCanLock()
                          throws IfsException

  Description copied from class: `S_ClassAccessControlList`
  Verifies that the instance can be locked or unlocked.

  Overrides:
    `verifyCanLock` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD